Eclipse Remote Application Platform

## org.eclipse.swt.events
Class VerifyEvent

    java.lang.Object
      SWTEventObject
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.events.KeyEvent
                  org.eclipse.swt.events.VerifyEvent

    public final class VerifyEvent

extends KeyEvent

Instances of this class are sent as a result of text being modified.

See Also:
  `VerifyListener`

Field Summary
`int` `end` the range of text being modified.
`int` `start` the range of text being modified.
`java.lang.String` `text` the new text that will be inserted.

Fields inherited from class org.eclipse.swt.events.KeyEvent
`character, doit, keyCode, stateMask`

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Constructor Summary
`VerifyEvent(Event event)` Constructs a new instance of this class based on the information in the given untyped event.

Method Summary
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### text

    public java.lang.String text

  the new text that will be inserted. Setting this field will change the text that is about to be inserted or deleted.

### start

    public int start

  the range of text being modified. Setting these fields has no effect.

### end

    public int end

  the range of text being modified. Setting these fields has no effect.

Constructor Detail

### VerifyEvent

    public VerifyEvent(Event event)

  Constructs a new instance of this class based on the information in the given untyped event.

  Parameters:
    `event` - the untyped event containing the information

Method Detail

### toString

    public java.lang.String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `KeyEvent`
  Returns:
    a string representation of the event

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0